head	1.10;
access;
symbols
	RELEASE_8_1_0:1.9
	RELEASE_7_3_0:1.9
	RELEASE_8_0_0:1.9
	RELEASE_7_2_0:1.9
	RELEASE_7_1_0:1.9
	RELEASE_6_4_0:1.9
	RELEASE_5_EOL:1.9
	RELEASE_7_0_0:1.9
	RELEASE_6_3_0:1.9
	PRE_XORG_7:1.9
	RELEASE_4_EOL:1.9
	RELEASE_6_2_0:1.9
	RELEASE_6_1_0:1.9
	RELEASE_5_5_0:1.9
	RELEASE_6_0_0:1.9
	RELEASE_5_4_0:1.9
	RELEASE_4_11_0:1.9
	RELEASE_5_3_0:1.9
	RELEASE_4_10_0:1.9
	old_RELEASE_5_2_0:1.5
	old_RELEASE_4_9_0:1.4
	old_RELEASE_5_1_0:1.4
	old_RELEASE_4_8_0:1.2;
locks; strict;
comment	@# @;


1.10
date	2010.09.05.01.06.43;	author dougb;	state dead;
branches;
next	1.9;

1.9
date	2004.01.11.17.59.28;	author netchild;	state Exp;
branches;
next	1.8;

1.8
date	2004.01.11.17.35.29;	author netchild;	state Exp;
branches;
next	1.7;

1.7
date	2004.01.11.16.46.43;	author netchild;	state Exp;
branches;
next	1.6;

1.6
date	2004.01.11.15.34.17;	author netchild;	state Exp;
branches;
next	1.5;

1.5
date	2003.10.22.13.21.30;	author netchild;	state Exp;
branches;
next	1.4;

1.4
date	2003.04.18.09.10.22;	author netchild;	state Exp;
branches;
next	1.3;

1.3
date	2003.04.02.10.50.38;	author netchild;	state Exp;
branches;
next	1.2;

1.2
date	2003.02.10.14.04.11;	author netchild;	state Exp;
branches;
next	1.1;

1.1
date	2003.01.11.17.25.51;	author netchild;	state Exp;
branches;
next	;


desc
@@


1.10
log
@As previously advertised, remove the remaining ports that have no
SHA256 checksum information in the distinfo file.
@
text
@--- ia32/bin/icpc.orig	Sun Jan 11 18:23:25 2004
+++ ia32/bin/icpc	Sun Jan 11 18:22:52 2004
@@@@ -1,6 +1,9 @@@@
 #!/bin/sh
 
-if [ -z INTEL_LICENSE_FILE ]
+ICC_LOCALBASE=%%ICC_LOCALBASE%%
+export ICC_LOCALBASE;
+
+if [ -z "$INTEL_LICENSE_FILE" ]
 then
 INTEL_LICENSE_FILE=<INSTALLDIR>/licenses;
 else
@@@@ -8,7 +11,7 @@@@
 fi
 export INTEL_LICENSE_FILE;
 
-if [ -z LD_LIBRARY_PATH ]
+if [ -z "$LD_LIBRARY_PATH" ]
 then 
  LD_LIBRARY_PATH=<INSTALLDIR>/compiler70/ia32/lib;
 else
@@@@ -16,7 +19,7 @@@@
 fi
 export LD_LIBRARY_PATH;
 
-if [ -z PATH ]
+if [ -z "$PATH" ]
 then
  PATH=<INSTALLDIR>/compiler70/ia32/bin;
 else
@@@@ -24,11 +27,39 @@@@
 fi
 export PATH;
 
-export -n IA32ROOT; unset IA32ROOT;
-
 if [ $# != 0 ]
 then
- exec -a "<INSTALLDIR>/compiler70/ia32/bin/icpc" <INSTALLDIR>/compiler70/ia32/bin/icpcbin "$@@";
+ i=0
+ argc=$#
+ while [ $i -lt $argc ] ; do
+  val1=$1
+  shift
+  val2=${val1#"-openmp"}
+  if [ ${#val1} -gt ${#val2} ] ; then
+   echo "Sorry, option '$val1' is not supported on FreeBSD."
+   exit 1
+  fi
+  val2=${val1#"-par"}
+  if [ ${#val1} -gt ${#val2} ] ; then
+   echo "Sorry, option '$val1' is not supported on FreeBSD."
+   exit 1
+  fi
+  if [ "${val1}" = "-Kpic" ] || [ "${val1}" = "-KPIC" ] || \
+   [ "${val1}" = "-fpic" ] || [ "${val1}" = "-fPIC" ] ; then
+   set -- "$@@" "-Qoption,ld,-PIC"
+  fi
+  if [ "${val1}" = "-mt" ] ; then
+   unset val1
+   set -- "$@@" "-Qoption,ld,-MT"
+  fi
+  if [ "${val1}" = "-pipe" ] ; then
+    unset val1
+    set -- "$@@"
+  fi
+  set -- "$@@" "$val1"
+  i=$(($i+1))
+ done
+ exec <INSTALLDIR>/compiler70/ia32/bin/icpcbin "$@@";
 else
- exec -a "<INSTALLDIR>/compiler70/ia32/bin/icpc" <INSTALLDIR>/compiler70/ia32/bin/icpcbin;
+ exec <INSTALLDIR>/compiler70/ia32/bin/icpcbin;
 fi
@


1.9
log
@Ok, it's not my day... gimme that extra large pointy hat please.

There slipped in a hardcoded /usr/local, it was supposed to be a
placeholder for LOCALBASE (to find the stlport lib in the ld wrapper).

Thanks to:	Marius Strobl <marius@@alchemy.franken.de>
		for reviewing the commits.
@
text
@@


1.8
log
@After the fast bandaid fix for patch-...{icc,icpc} for those fast
upgrader adopters commit a better fix which also respects PREFIX.

Bump PORTREVISION for this fix, not bumping it for the bandaid fix
was intended.
@
text
@d7 1
a7 1
+ICC_LOCALBASE=/usr/local
@


1.7
log
@Urgs... fix the patches, so they actually result in a working icc...

Noticed by:	Marius Strobl <marius@@alchemy.franken.de>
@
text
@d1 3
a3 3
--- ia32/bin/icpc.orig	Tue Oct 21 18:57:00 2003
+++ ia32/bin/icpc	Tue Oct 21 19:11:54 2003
@@@@ -1,34 +1,65 @@@@
d7 1
a7 1
+ICC_LOCALBASE=%%ICC_LOCALBASE%%
d12 1
a12 2
-INTEL_LICENSE_FILE=<INSTALLDIR>/licenses;
+INTEL_LICENSE_FILE=${ICC_LOCALBASE}/intel/licenses;
d14 1
a14 2
-INTEL_LICENSE_FILE=$INTEL_LICENSE_FILE:<INSTALLDIR>/licenses;
+INTEL_LICENSE_FILE=$INTEL_LICENSE_FILE:${ICC_LOCALBASE}/intel/licenses;
d21 1
a21 2
- LD_LIBRARY_PATH=<INSTALLDIR>/compiler70/ia32/lib;
+ LD_LIBRARY_PATH=${ICC_LOCALBASE}/intel/compiler70/ia32/lib;
d23 1
a23 2
- LD_LIBRARY_PATH=<INSTALLDIR>/compiler70/ia32/lib:$LD_LIBRARY_PATH
+ LD_LIBRARY_PATH=${ICC_LOCALBASE}/intel/compiler70/ia32/lib:$LD_LIBRARY_PATH
d30 1
a30 2
- PATH=<INSTALLDIR>/compiler70/ia32/bin;
+ PATH=${ICC_LOCALBASE}/intel/compiler70/ia32/bin;
d32 1
a32 2
- PATH=<INSTALLDIR>/compiler70/ia32/bin:$PATH;
+ PATH=${ICC_LOCALBASE}/intel/compiler70/ia32/bin:$PATH;
d71 1
a71 1
+ exec ${ICC_LOCALBASE}/intel/compiler70/ia32/bin/icpcbin "$@@";
d74 1
a74 1
+ exec ${ICC_LOCALBASE}/intel/compiler70/ia32/bin/icpcbin;
@


1.6
log
@- connect icc7 to the build after a repocopy from icc
- update icc7 to 7.1.035
- sync parts of icc7 with the icc (v8) port
@
text
@d13 1
a13 1
+INTEL_LICENSE_FILE=${PREFIX}/intel/licenses;
d16 1
a16 1
+INTEL_LICENSE_FILE=$INTEL_LICENSE_FILE:${PREFIX}/intel/licenses;
d24 1
a24 1
+ LD_LIBRARY_PATH=${PREFIX}/intel/compiler70/ia32/lib;
d27 1
a27 1
+ LD_LIBRARY_PATH=${PREFIX}/intel/compiler70/ia32/lib:$LD_LIBRARY_PATH
d35 1
a35 1
+ PATH=${PREFIX}/intel/compiler70/ia32/bin;
d38 1
a38 1
+ PATH=${PREFIX}/intel/compiler70/ia32/bin:$PATH;
d77 1
a77 1
+ exec ${PREFIX}/intel/compiler70/ia32/bin/icpcbin "$@@";
d80 1
a80 1
+ exec ${PREFIX}/intel/compiler70/ia32/bin/icpcbin;
@


1.5
log
@- Fix icc and icpc scripts (variable overriding) [1]
- Don't extract ia64 RPMs [2]
- Fix bug on some 4.7 systems [3]

Noticed by:	mi [1]
Suggested by:	mi [2]
Tested by:	Clint Olsen <clint@@0lsen.net>
@
text
@d7 2
a8 2
+PREFIX=@@@@PREFIX@@@@
+export PREFIX;
@


1.4
log
@ - back out special '-I' handling, it causes problems with the stlport [1]
   (this may break ports which depend upon OpenSSL from ports which was
   compiled as a base system replacement because it includes a system
   header directory again)
 - ignore "-pipe" in CFLAGS, this should unbreak some ports with hardcoded
   "-pipe"

Noticed by:	Krzysztof Parzyszek <kristof@@swissmail.org> [1]
Tested by:	Krzysztof Parzyszek <kristof@@swissmail.org> [1]
@
text
@d1 2
a2 2
--- ia32/bin/icpc.orig	Fri Jan 10 16:47:29 2003
+++ ia32/bin/icpc	Fri Jan 10 17:19:03 2003
d6 1
d10 1
a10 1
 if [ -z INTEL_LICENSE_FILE ]
d20 2
a21 1
 if [ -z LD_LIBRARY_PATH ]
d31 2
a32 1
 if [ -z PATH ]
@


1.3
log
@The new version of icc adds -I include paths before the standard include
path, thus adding a system path with -I results in not respecting the
sunstitute headers. This results in problems because we have some important
changes there.

Parts of this commit where
Submitted by:	marius@@alchemy.franken.de
@
text
@d3 1
a3 1
@@@@ -1,34 +1,61 @@@@
d67 4
d74 1
a74 1
+ exec ${PREFIX}/intel/compiler70/ia32/bin/icpcbin -I${PREFIX}/intel/compiler70/ia32/include -I${PREFIX}/intel/compiler70/ia32/include/substitute_headers "$@@";
@


1.2
log
@- update to 7.0.082
- fix [dfi]vec.h with stlport-iostreams
- do not install a Windows header (mathf.h)
- do not install libompstub (depends on pthread_atfork(), see PR 17437)

Submitted by:	marius@@alchemy.franken.de

- point to the icc errata after make install
@
text
@d70 1
a70 1
+ exec ${PREFIX}/intel/compiler70/ia32/bin/icpcbin "$@@";
@


1.1
log
@Add missing files for the 7.0.078 update.

Pointy hat to:	netchild
@
text
@d3 1
a3 1
@@@@ -1,29 +1,55 @@@@
a5 1
-INTEL_LICENSE_FILE=<INSTALLDIR>/licenses;
d8 9
a16 1
+INTEL_LICENSE_FILE=${INTEL_LICENSE_FILE:-${PREFIX}/intel/licenses}
@

